version: "3.5"
services:
  caddy:
    image: caddy:2.10-alpine
    restart: unless-stopped
    cap_add:
      - NET_ADMIN
    ports:
      - "80:80"
    volumes:
      - ./caddy/Caddyfile:/etc/caddy/Caddyfile
      - ./dist:/srv
      - caddy_data:/data
      - caddy_config:/config
    environment:
      VITE_API_URL: ${VITE_API_URL}


volumes:
  caddy_data:
    external: true
  caddy_config:

